| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
PfmCodeAnalyser Class Reference

`#include <GaudiProfiling/PfmCodeAnalyser.h>`

Collaboration diagram for PfmCodeAnalyser:
[legend]

## Public Member Functions
void | start ()
void | stop ()
void | stop_init ()

## Static Public Member Functions
static PfmCodeAnalyser & | Instance (const char *event0="UNHALTED_CORE_CYCLES", unsigned int cmask_v0=0, bool inv_v0=false, const char *event1="", unsigned int cmask_v1=0, bool inv_v1=false, const char *event2="", unsigned int cmask_v2=0, bool inv_v2=false, const char *event3="", unsigned int cmask_v3=0, bool inv_v3=false)

## Private Member Functions
| PfmCodeAnalyser (const char *event0, unsigned int cmask_v0, bool inv_v0, const char *event1, unsigned int cmask_v1, bool inv_v1, const char *event2, unsigned int cmask_v2, bool inv_v2, const char *event3, unsigned int cmask_v3, bool inv_v3)
| PfmCodeAnalyser (PfmCodeAnalyser const &)
PfmCodeAnalyser & | operator= (PfmCodeAnalyser const &)
| ~PfmCodeAnalyser ()

## Private Attributes
int | used_counters_number
int | nehalem
pfmlib_input_param_t | inp
pfmlib_output_param_t | outp
pfarg_ctx_t | ctx
pfarg_pmd_t | pd [NUM_PMDS]
pfarg_pmc_t | pc [NUM_PMCS]
pfarg_load_t | load_arg
int | fd
char | event_str [MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS][MAX_EVT_NAME_LEN]
bool | inv [MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
unsigned int | cmask [MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
pfmlib_core_input_param_t | params
pfmlib_nhm_input_param_t | nhm_params
int | ret
unsigned | i
unsigned long | sum [MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
unsigned | count
unsigned | overhead_avg [MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]

## Detailed Description

Definition at line 22 of file PfmCodeAnalyser.h.

## Constructor & Destructor Documentation

PfmCodeAnalyser::PfmCodeAnalyser | ( | const char * | event0,
|  | unsigned int | cmask_v0,
|  | bool | inv_v0,
|  | const char * | event1,
|  | unsigned int | cmask_v1,
|  | bool | inv_v1,
|  | const char * | event2,
|  | unsigned int | cmask_v2,
|  | bool | inv_v2,
|  | const char * | event3,
|  | unsigned int | cmask_v3,
|  | bool | inv_v3
| ) |  |
| private

Definition at line 64 of file PfmCodeAnalyser.h.

68 {
69 int ax,bx,cx,dx;
70 cpuid(1,ax,bx,cx,dx);
71 int sse4_2_mask = 1 << 20;
72 nehalem = cx & sse4_2_mask;
73 strcpy(event_str[0], event0);
74 strcpy(event_str[1], event1);
75 strcpy(event_str[2], event2);
76 strcpy(event_str[3], event3);
77 cmask[0] = cmask_v0;
78 cmask[1] = cmask_v1;
79 cmask[2] = cmask_v2;
80 cmask[3] = cmask_v3;
81 inv[0] = inv_v0;
82 inv[1] = inv_v1;
83 inv[2] = inv_v2;
84 inv[3] = inv_v3;
85 used_counters_number = 0;
86 for(int i=0; i<MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS; i++)
87 {
88 if(strlen(event_str[i])>0) used_counters_number++;
89 }
90 for(int i=0; i<used_counters_number; i++)
91 {
92 sum[i] = 0;
93 overhead_avg[i] = 0;
94 }
95 count = 0;
96 if(pfm_initialize() != PFMLIB_SUCCESS)
97 {
98 printf("Cannot initialize perfmon!!\nExiting...\n");
99 exit(0);
100 }
101 while(count<3)
102 {
103 start();
104 stop_init();
105 }
106 for(int i=0; i<used_counters_number; i++)
107 {
108 sum[i] = 0;
109 }
110 count = 0;
111 while(count<10)
112 {
113 start();
114 stop_init();
115 }
116 for(int i=0; i<used_counters_number; i++)
117 {
118 overhead_avg[i] = sum[i]/count;
119 sum[i] = 0;
120 }
121 count = 0;
122 }
MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS
#define MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS
Definition: PfmCodeAnalyser.h:19
cpuid
#define cpuid(func, eax, ebx, ecx, edx)
Definition: PfmCodeAnalyser.h:20
PFMLIB_SUCCESS
#define PFMLIB_SUCCESS
Definition: pfmlib.h:283
PfmCodeAnalyser::event_str
char event_str[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS][MAX_EVT_NAME_LEN]
Definition: PfmCodeAnalyser.h:34
PfmCodeAnalyser::count
unsigned count
Definition: PfmCodeAnalyser.h:42
PfmCodeAnalyser::cmask
unsigned int cmask[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:36
std::exit
T exit(T...args)
std::strlen
T strlen(T...args)
PfmCodeAnalyser::overhead_avg
unsigned overhead_avg[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:43
PfmCodeAnalyser::sum
unsigned long sum[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:41
pfm_initialize
pfm_err_t pfm_initialize(void)
std::strcpy
T strcpy(T...args)
PfmCodeAnalyser::used_counters_number
int used_counters_number
Definition: PfmCodeAnalyser.h:25
PfmCodeAnalyser::nehalem
int nehalem
Definition: PfmCodeAnalyser.h:26
PfmCodeAnalyser::stop_init
void stop_init()
Definition: PfmCodeAnalyser.h:238
PfmCodeAnalyser::inv
bool inv[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:35
std::printf
T printf(T...args)
PfmCodeAnalyser::start
void start()
Definition: PfmCodeAnalyser.h:135
PfmCodeAnalyser::i
unsigned i
Definition: PfmCodeAnalyser.h:40

PfmCodeAnalyser::PfmCodeAnalyser | ( | PfmCodeAnalyser const & |  | ) |
| private

PfmCodeAnalyser::~PfmCodeAnalyser | ( |  | ) |
| private

Definition at line 255 of file PfmCodeAnalyser.h.

256 {
257 for(int i=0; i<used_counters_number; i++)
258 {
259 printf("Event: %s\nTotal count:%lu\nNumber of counts:%u\nAverage count:%f\nOverhead removed:%u\n", event_str[i], sum[i], count, (double)sum[i]/count, overhead_avg[i]);
260 }
261 }
PfmCodeAnalyser::event_str
char event_str[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS][MAX_EVT_NAME_LEN]
Definition: PfmCodeAnalyser.h:34
PfmCodeAnalyser::count
unsigned count
Definition: PfmCodeAnalyser.h:42
PfmCodeAnalyser::overhead_avg
unsigned overhead_avg[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:43
PfmCodeAnalyser::sum
unsigned long sum[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:41
PfmCodeAnalyser::used_counters_number
int used_counters_number
Definition: PfmCodeAnalyser.h:25
std::printf
T printf(T...args)
PfmCodeAnalyser::i
unsigned i
Definition: PfmCodeAnalyser.h:40

## Member Function Documentation

PfmCodeAnalyser & PfmCodeAnalyser::Instance | ( | const char * | event0 = `"UNHALTED_CORE_CYCLES"`,
|  | unsigned int | cmask_v0 = `0`,
|  | bool | inv_v0 = `false`,
|  | const char * | event1 = `""`,
|  | unsigned int | cmask_v1 = `0`,
|  | bool | inv_v1 = `false`,
|  | const char * | event2 = `""`,
|  | unsigned int | cmask_v2 = `0`,
|  | bool | inv_v2 = `false`,
|  | const char * | event3 = `""`,
|  | unsigned int | cmask_v3 = `0`,
|  | bool | inv_v3 = `false`
| ) |  |
| static

Definition at line 124 of file PfmCodeAnalyser.h.

128 {
129 static PfmCodeAnalyser theSingleton(event0, cmask_v0, inv_v0, event1, cmask_v1, inv_v1, event2, cmask_v2, inv_v2, event3, cmask_v3, inv_v3);
130 return theSingleton;
131 }
PfmCodeAnalyser
Definition: PfmCodeAnalyser.h:22

PfmCodeAnalyser& PfmCodeAnalyser::operator= | ( | PfmCodeAnalyser const & |  | ) |
| private

void PfmCodeAnalyser::start | ( |  | ) |

Definition at line 135 of file PfmCodeAnalyser.h.

136 {
137 memset(&ctx,0, sizeof(ctx));
138 memset(&inp,0, sizeof(inp));
139 memset(&outp,0, sizeof(outp));
140 memset(pd, 0, sizeof(pd));
141 memset(pc, 0, sizeof(pc));
142 memset(&load_arg, 0, sizeof(load_arg));
143 memset(&params, 0, sizeof(params));
144 for(int i=0; i<used_counters_number; i++)
145 {
146 ret = pfm_find_full_event(event_str[i], &inp.pfp_events[i]);
147 if(ret != PFMLIB_SUCCESS)
148 {
149 fprintf(stderr, "ERROR: cannot find event: %s\naborting...\n", event_str[i]);
150 exit(1);
151 }
152 }
153 inp.pfp_dfl_plm = PFM_PLM3;
154 inp.pfp_event_count = used_counters_number;
155 for(int i=0; i<used_counters_number; i++)
156 {
157 if(inv[i])
158 {
159 (params.pfp_core_counters[i]).flags |= PFM_CORE_SEL_INV;
160 (nhm_params.pfp_nhm_counters[i]).flags |= PFM_NHM_SEL_INV;
161 }
162 if(cmask[i]>0)
163 {
164 (params.pfp_core_counters[i]).cnt_mask = cmask[i];
165 (nhm_params.pfp_nhm_counters[i]).cnt_mask = cmask[i];
166 }
167 }
168 if(nehalem)
169 {
170 ret = pfm_dispatch_events(&inp, &nhm_params, &outp, NULL);
171 }
172 else
173 {
174 ret = pfm_dispatch_events(&inp, &params, &outp, NULL);
175 }
176 if(ret != PFMLIB_SUCCESS)
177 {
178 fprintf(stderr, "ERROR: cannot dispatch events: %s\naborting...\n", pfm_strerror(ret));
179 exit(1);
180 }
181 for(unsigned int i=0; i<outp.pfp_pmc_count; i++)
182 {
183 pc[i].reg_num = outp.pfp_pmcs[i].reg_num;
184 pc[i].reg_value = outp.pfp_pmcs[i].reg_value;
185 }
186 for(unsigned int i=0; i<outp.pfp_pmd_count; i++)
187 {
188 pd[i].reg_num = outp.pfp_pmds[i].reg_num;
189 pd[i].reg_value = 0;
190 }
191 fd = pfm_create_context(&ctx, NULL, 0, 0);
192 if(fd == -1)
193 {
194 fprintf(stderr, "ERROR: Context not created\naborting...\n");
195 exit(1);
196 }
197 if(pfm_write_pmcs(fd, pc, outp.pfp_pmc_count) == -1)
198 {
199 fprintf(stderr, "ERROR: Could not write pmcs\naborting...\n");
200 exit(1);
201 }
202 if(pfm_write_pmds(fd, pd, outp.pfp_pmd_count) == -1)
203 {
204 fprintf(stderr, "ERROR: Could not write pmds\naborting...\n");
205 exit(1);
206 }
207 load_arg.load_pid = getpid();
208 if(pfm_load_context(fd, &load_arg) == -1)
209 {
210 fprintf(stderr, "ERROR: Could not load context\naborting...\n");
211 exit(1);
212 }
213 pfm_start(fd, NULL);
214 }
pfmlib_output_param_t::pfp_pmds
pfmlib_reg_t pfp_pmds[PFMLIB_MAX_PMDS]
Definition: pfmlib.h:130
PfmCodeAnalyser::load_arg
pfarg_load_t load_arg
Definition: PfmCodeAnalyser.h:32
pfm_write_pmds
os_err_t pfm_write_pmds(int fd, pfarg_pmd_t *pmds, int count)
PFM_NHM_SEL_INV
#define PFM_NHM_SEL_INV
Definition: pfmlib_intel_nhm.h:103
pfm_create_context
os_err_t pfm_create_context(pfarg_ctx_t *ctx, char *smpl_name, void *smpl_arg, size_t smpl_size)
PFM_PLM3
#define PFM_PLM3
Definition: pfmlib.h:53
pfm_strerror
char * pfm_strerror(int code)
PfmCodeAnalyser::nhm_params
pfmlib_nhm_input_param_t nhm_params
Definition: PfmCodeAnalyser.h:38
PfmCodeAnalyser::fd
int fd
Definition: PfmCodeAnalyser.h:33
pfmlib_input_param_t::pfp_events
pfmlib_event_t pfp_events[PFMLIB_MAX_PMCS]
Definition: pfmlib.h:113
PFM_CORE_SEL_INV
#define PFM_CORE_SEL_INV
Definition: pfmlib_core.h:68
pfmlib_nhm_input_param_t::pfp_nhm_counters
pfmlib_nhm_counter_t pfp_nhm_counters[PMU_NHM_NUM_COUNTERS]
Definition: pfmlib_intel_nhm.h:140
PfmCodeAnalyser::ctx
pfarg_ctx_t ctx
Definition: PfmCodeAnalyser.h:29
PFMLIB_SUCCESS
#define PFMLIB_SUCCESS
Definition: pfmlib.h:283
PfmCodeAnalyser::event_str
char event_str[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS][MAX_EVT_NAME_LEN]
Definition: PfmCodeAnalyser.h:34
pfmlib_input_param_t::pfp_dfl_plm
unsigned int pfp_dfl_plm
Definition: pfmlib.h:110
pfarg_pmd_t::reg_num
uint16_t reg_num
Definition: perfmon_v2.h:39
PfmCodeAnalyser::ret
int ret
Definition: PfmCodeAnalyser.h:39
std::memset
T memset(T...args)
pfm_write_pmcs
os_err_t pfm_write_pmcs(int fd, pfarg_pmc_t *pmcs, int count)
pfm_dispatch_events
pfm_err_t pfm_dispatch_events(pfmlib_input_param_t *p, void *model_in, pfmlib_output_param_t *q, void *model_out)
pfmlib_output_param_t::pfp_pmc_count
unsigned int pfp_pmc_count
Definition: pfmlib.h:127
pfmlib_reg_t::reg_value
unsigned long long reg_value
Definition: pfmlib.h:98
pfmlib_output_param_t::pfp_pmd_count
unsigned int pfp_pmd_count
Definition: pfmlib.h:128
pfm_find_full_event
pfm_err_t pfm_find_full_event(const char *str, pfmlib_event_t *e)
PfmCodeAnalyser::params
pfmlib_core_input_param_t params
Definition: PfmCodeAnalyser.h:37
PfmCodeAnalyser::cmask
unsigned int cmask[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:36
std::exit
T exit(T...args)
PfmCodeAnalyser::pc
pfarg_pmc_t pc[NUM_PMCS]
Definition: PfmCodeAnalyser.h:31
pfmlib_reg_t::reg_num
unsigned int reg_num
Definition: pfmlib.h:100
PfmCodeAnalyser::pd
pfarg_pmd_t pd[NUM_PMDS]
Definition: PfmCodeAnalyser.h:30
pfarg_pmc_t::reg_num
uint16_t reg_num
Definition: perfmon_v2.h:28
pfm_start
os_err_t pfm_start(int fd, pfarg_start_t *start)
pfarg_load_t::load_pid
uint32_t load_pid
Definition: perfmon_v2.h:69
PfmCodeAnalyser::used_counters_number
int used_counters_number
Definition: PfmCodeAnalyser.h:25
PfmCodeAnalyser::nehalem
int nehalem
Definition: PfmCodeAnalyser.h:26
PfmCodeAnalyser::inp
pfmlib_input_param_t inp
Definition: PfmCodeAnalyser.h:27
pfm_load_context
os_err_t pfm_load_context(int fd, pfarg_load_t *load)
pfarg_pmc_t::reg_value
uint64_t reg_value
Definition: perfmon_v2.h:31
PfmCodeAnalyser::inv
bool inv[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:35
pfmlib_output_param_t::pfp_pmcs
pfmlib_reg_t pfp_pmcs[PFMLIB_MAX_PMCS]
Definition: pfmlib.h:129
pfmlib_core_input_param_t::pfp_core_counters
pfmlib_core_counter_t pfp_core_counters[PMU_CORE_NUM_COUNTERS]
Definition: pfmlib_core.h:79
PfmCodeAnalyser::outp
pfmlib_output_param_t outp
Definition: PfmCodeAnalyser.h:28
std::fprintf
T fprintf(T...args)
pfarg_pmd_t::reg_value
uint64_t reg_value
Definition: perfmon_v2.h:42
pfmlib_input_param_t::pfp_event_count
unsigned int pfp_event_count
Definition: pfmlib.h:109
PfmCodeAnalyser::i
unsigned i
Definition: PfmCodeAnalyser.h:40

void PfmCodeAnalyser::stop | ( |  | ) |

Definition at line 221 of file PfmCodeAnalyser.h.

222 {
223 pfm_stop(fd);
224 if(pfm_read_pmds(fd, pd, inp.pfp_event_count) == -1)
225 {
226 fprintf(stderr, "ERROR: Could not read pmds\naborting...\n");
227 exit(1);
228 }
229
230 for(int i=0; i<used_counters_number; i++)
231 {
232 sum[i] += (pd[i].reg_value - overhead_avg[i]);
233 }
234 count++;
235 close(fd);
236 }
PfmCodeAnalyser::fd
int fd
Definition: PfmCodeAnalyser.h:33
PfmCodeAnalyser::count
unsigned count
Definition: PfmCodeAnalyser.h:42
std::exit
T exit(T...args)
PfmCodeAnalyser::pd
pfarg_pmd_t pd[NUM_PMDS]
Definition: PfmCodeAnalyser.h:30
PfmCodeAnalyser::overhead_avg
unsigned overhead_avg[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:43
PfmCodeAnalyser::sum
unsigned long sum[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:41
PfmCodeAnalyser::used_counters_number
int used_counters_number
Definition: PfmCodeAnalyser.h:25
PfmCodeAnalyser::inp
pfmlib_input_param_t inp
Definition: PfmCodeAnalyser.h:27
pfm_read_pmds
os_err_t pfm_read_pmds(int fd, pfarg_pmd_t *pmds, int count)
pfm_stop
os_err_t pfm_stop(int fd)
std::fprintf
T fprintf(T...args)
pfarg_pmd_t::reg_value
uint64_t reg_value
Definition: perfmon_v2.h:42
pfmlib_input_param_t::pfp_event_count
unsigned int pfp_event_count
Definition: pfmlib.h:109
PfmCodeAnalyser::i
unsigned i
Definition: PfmCodeAnalyser.h:40

void PfmCodeAnalyser::stop_init | ( |  | ) |

Definition at line 238 of file PfmCodeAnalyser.h.

239 {
240 pfm_stop(fd);
241 if(pfm_read_pmds(fd, pd, inp.pfp_event_count) == -1)
242 {
243 fprintf(stderr, "ERROR: Could not read pmds\naborting...\n");
244 exit(1);
245 }
246
247 for(int i=0; i<used_counters_number; i++)
248 {
249 sum[i] += (pd[i].reg_value);
250 }
251 count++;
252 close(fd);
253 }
PfmCodeAnalyser::fd
int fd
Definition: PfmCodeAnalyser.h:33
PfmCodeAnalyser::count
unsigned count
Definition: PfmCodeAnalyser.h:42
std::exit
T exit(T...args)
PfmCodeAnalyser::pd
pfarg_pmd_t pd[NUM_PMDS]
Definition: PfmCodeAnalyser.h:30
PfmCodeAnalyser::sum
unsigned long sum[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
Definition: PfmCodeAnalyser.h:41
PfmCodeAnalyser::used_counters_number
int used_counters_number
Definition: PfmCodeAnalyser.h:25
PfmCodeAnalyser::inp
pfmlib_input_param_t inp
Definition: PfmCodeAnalyser.h:27
pfm_read_pmds
os_err_t pfm_read_pmds(int fd, pfarg_pmd_t *pmds, int count)
pfm_stop
os_err_t pfm_stop(int fd)
std::fprintf
T fprintf(T...args)
pfarg_pmd_t::reg_value
uint64_t reg_value
Definition: perfmon_v2.h:42
pfmlib_input_param_t::pfp_event_count
unsigned int pfp_event_count
Definition: pfmlib.h:109
PfmCodeAnalyser::i
unsigned i
Definition: PfmCodeAnalyser.h:40

## Member Data Documentation

unsigned int PfmCodeAnalyser::cmask[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
| private

Definition at line 36 of file PfmCodeAnalyser.h.

unsigned PfmCodeAnalyser::count
| private

Definition at line 42 of file PfmCodeAnalyser.h.

pfarg_ctx_t PfmCodeAnalyser::ctx
| private

Definition at line 29 of file PfmCodeAnalyser.h.

char PfmCodeAnalyser::event_str[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS][MAX_EVT_NAME_LEN]
| private

Definition at line 34 of file PfmCodeAnalyser.h.

int PfmCodeAnalyser::fd
| private

Definition at line 33 of file PfmCodeAnalyser.h.

unsigned PfmCodeAnalyser::i
| private

Definition at line 40 of file PfmCodeAnalyser.h.

pfmlib_input_param_t PfmCodeAnalyser::inp
| private

Definition at line 27 of file PfmCodeAnalyser.h.

bool PfmCodeAnalyser::inv[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
| private

Definition at line 35 of file PfmCodeAnalyser.h.

pfarg_load_t PfmCodeAnalyser::load_arg
| private

Definition at line 32 of file PfmCodeAnalyser.h.

int PfmCodeAnalyser::nehalem
| private

Definition at line 26 of file PfmCodeAnalyser.h.

pfmlib_nhm_input_param_t PfmCodeAnalyser::nhm_params
| private

Definition at line 38 of file PfmCodeAnalyser.h.

pfmlib_output_param_t PfmCodeAnalyser::outp
| private

Definition at line 28 of file PfmCodeAnalyser.h.

unsigned PfmCodeAnalyser::overhead_avg[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
| private

Definition at line 43 of file PfmCodeAnalyser.h.

pfmlib_core_input_param_t PfmCodeAnalyser::params
| private

Definition at line 37 of file PfmCodeAnalyser.h.

pfarg_pmc_t PfmCodeAnalyser::pc[NUM_PMCS]
| private

Definition at line 31 of file PfmCodeAnalyser.h.

pfarg_pmd_t PfmCodeAnalyser::pd[NUM_PMDS]
| private

Definition at line 30 of file PfmCodeAnalyser.h.

int PfmCodeAnalyser::ret
| private

Definition at line 39 of file PfmCodeAnalyser.h.

unsigned long PfmCodeAnalyser::sum[MAX_NUMBER_OF_PROGRAMMABLE_COUNTERS]
| private

Definition at line 41 of file PfmCodeAnalyser.h.

int PfmCodeAnalyser::used_counters_number
| private

Definition at line 25 of file PfmCodeAnalyser.h.

The documentation for this class was generated from the following file:

- GaudiProfiling/GaudiProfiling/PfmCodeAnalyser.h